Kea: isc::dhcp::Dhcp4Parser Class Reference

| Kea 1.5.0

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
isc::dhcp::Dhcp4Parser Class Reference

A Bison parser. More...

`#include <dhcp4_parser.h>`

## Classes
struct | basic_symbol
| A complete symbol. More...
struct | by_type
| Type access provider for token (enum) based symbols. More...
struct | syntax_error
| Syntax errors thrown from user actions. More...
struct | token
| Tokens. More...
union | union_type
| An auxiliary type to compute the largest semantic type. More...

## Public Types
enum | { empty_symbol = -2 }
| The symbol type number to denote an empty symbol. More...
typedef int | debug_level_type
| Type for debugging levels. More...
typedef location | location_type
| Symbol locations. More...
typedef variant< sizeof(union_type)> | semantic_type
| Symbol semantic values. More...
typedef int | symbol_number_type
| Symbol type: an internal symbol number. More...
typedef basic_symbol< by_type > | symbol_type
| "External" symbols: returned by the scanner. More...
typedef unsigned char | token_number_type
| Internal symbol number for tokens (subsumed by symbol_number_type). More...
typedef token::yytokentype | token_type
| (External) token type, as returned by yylex. More...

## Public Member Functions
| Dhcp4Parser (isc::dhcp::Parser4Context &ctx_yyarg)
| Build a parser object. More...
virtual | ~Dhcp4Parser ()
debug_level_type | debug_level () const YY_ATTRIBUTE_PURE
| The current debugging level. More...
std::ostream & | debug_stream () const YY_ATTRIBUTE_PURE
| The current debugging stream. More...
virtual void | error (const location_type &loc, const std::string &msg)
| Report a syntax error. More...
void | error (const syntax_error &err)
| Report a syntax error. More...
int | operator() ()
| Parse. More...
virtual int | parse ()
| Parse. More...
void | set_debug_level (debug_level_type l)
| Set the current debugging level. More...
void | set_debug_stream (std::ostream &)
| Set the current debugging stream. More...

## Static Public Member Functions
static symbol_type | make_ALL (YY_COPY(location_type) l)
static symbol_type | make_ALWAYS (YY_COPY(location_type) l)
static symbol_type | make_ALWAYS_SEND (YY_COPY(location_type) l)
static symbol_type | make_ARRAY (YY_COPY(location_type) l)
static symbol_type | make_AUTHORITATIVE (YY_COPY(location_type) l)
static symbol_type | make_BOOLEAN (YY_COPY(bool) v, YY_COPY(location_type) l)
static symbol_type | make_BOOT_FILE_NAME (YY_COPY(location_type) l)
static symbol_type | make_CIRCUIT_ID (YY_COPY(location_type) l)
static symbol_type | make_CLIENT_CLASS (YY_COPY(location_type) l)
static symbol_type | make_CLIENT_CLASSES (YY_COPY(location_type) l)
static symbol_type | make_CLIENT_ID (YY_COPY(location_type) l)
static symbol_type | make_CODE (YY_COPY(location_type) l)
static symbol_type | make_COLON (YY_COPY(location_type) l)
static symbol_type | make_COMMA (YY_COPY(location_type) l)
static symbol_type | make_COMMENT (YY_COPY(location_type) l)
static symbol_type | make_CONFIG_CONTROL (YY_COPY(location_type) l)
static symbol_type | make_CONFIG_DATABASES (YY_COPY(location_type) l)
static symbol_type | make_CONNECT_TIMEOUT (YY_COPY(location_type) l)
static symbol_type | make_CONTACT_POINTS (YY_COPY(location_type) l)
static symbol_type | make_CONTROL_AGENT (YY_COPY(location_type) l)
static symbol_type | make_CONTROL_SOCKET (YY_COPY(location_type) l)
static symbol_type | make_CQL (YY_COPY(location_type) l)
static symbol_type | make_CSV_FORMAT (YY_COPY(location_type) l)
static symbol_type | make_DATA (YY_COPY(location_type) l)
static symbol_type | make_DEBUGLEVEL (YY_COPY(location_type) l)
static symbol_type | make_DECLINE_PROBATION_PERIOD (YY_COPY(location_type) l)
static symbol_type | make_DHCP4 (YY_COPY(location_type) l)
static symbol_type | make_DHCP4O6_PORT (YY_COPY(location_type) l)
static symbol_type | make_DHCP6 (YY_COPY(location_type) l)
static symbol_type | make_DHCP_DDNS (YY_COPY(location_type) l)
static symbol_type | make_DHCP_QUEUE_CONTROL (YY_COPY(location_type) l)
static symbol_type | make_DHCP_SOCKET_TYPE (YY_COPY(location_type) l)
static symbol_type | make_DHCPDDNS (YY_COPY(location_type) l)
static symbol_type | make_DISABLED (YY_COPY(location_type) l)
static symbol_type | make_DUID (YY_COPY(location_type) l)
static symbol_type | make_ECHO_CLIENT_ID (YY_COPY(location_type) l)
static symbol_type | make_ENABLE_UPDATES (YY_COPY(location_type) l)
static symbol_type | make_ENCAPSULATE (YY_COPY(location_type) l)
static symbol_type | make_END (YY_COPY(location_type) l)
static symbol_type | make_EXPIRED_LEASES_PROCESSING (YY_COPY(location_type) l)
static symbol_type | make_FLEX_ID (YY_COPY(location_type) l)
static symbol_type | make_FLOAT (YY_COPY(double) v, YY_COPY(location_type) l)
static symbol_type | make_FLUSH (YY_COPY(location_type) l)
static symbol_type | make_FLUSH_RECLAIMED_TIMER_WAIT_TIME (YY_COPY(location_type) l)
static symbol_type | make_GENERATED_PREFIX (YY_COPY(location_type) l)
static symbol_type | make_GLOBAL (YY_COPY(location_type) l)
static symbol_type | make_HOLD_RECLAIMED_TIME (YY_COPY(location_type) l)
static symbol_type | make_HOOKS_LIBRARIES (YY_COPY(location_type) l)
static symbol_type | make_HOST (YY_COPY(location_type) l)
static symbol_type | make_HOST_RESERVATION_IDENTIFIERS (YY_COPY(location_type) l)
static symbol_type | make_HOSTNAME (YY_COPY(location_type) l)
static symbol_type | make_HOSTNAME_CHAR_REPLACEMENT (YY_COPY(location_type) l)
static symbol_type | make_HOSTNAME_CHAR_SET (YY_COPY(location_type) l)
static symbol_type | make_HOSTS_DATABASE (YY_COPY(location_type) l)
static symbol_type | make_HOSTS_DATABASES (YY_COPY(location_type) l)
static symbol_type | make_HW_ADDRESS (YY_COPY(location_type) l)
static symbol_type | make_ID (YY_COPY(location_type) l)
static symbol_type | make_INTEGER (YY_COPY(int64_t) v, YY_COPY(location_type) l)
static symbol_type | make_INTERFACE (YY_COPY(location_type) l)
static symbol_type | make_INTERFACES (YY_COPY(location_type) l)
static symbol_type | make_INTERFACES_CONFIG (YY_COPY(location_type) l)
static symbol_type | make_IP_ADDRESS (YY_COPY(location_type) l)
static symbol_type | make_IP_ADDRESSES (YY_COPY(location_type) l)
static symbol_type | make_JSON (YY_COPY(location_type) l)
static symbol_type | make_KEYSPACE (YY_COPY(location_type) l)
static symbol_type | make_LCURLY_BRACKET (YY_COPY(location_type) l)
static symbol_type | make_LEASE_CHECKS (YY_COPY(location_type) l)
static symbol_type | make_LEASE_DATABASE (YY_COPY(location_type) l)
static symbol_type | make_LFC_INTERVAL (YY_COPY(location_type) l)
static symbol_type | make_LIBRARY (YY_COPY(location_type) l)
static symbol_type | make_LOGGERS (YY_COPY(location_type) l)
static symbol_type | make_LOGGING (YY_COPY(location_type) l)
static symbol_type | make_LSQUARE_BRACKET (YY_COPY(location_type) l)
static symbol_type | make_MATCH_CLIENT_ID (YY_COPY(location_type) l)
static symbol_type | make_MAX_QUEUE_SIZE (YY_COPY(location_type) l)
static symbol_type | make_MAX_RECLAIM_LEASES (YY_COPY(location_type) l)
static symbol_type | make_MAX_RECLAIM_TIME (YY_COPY(location_type) l)
static symbol_type | make_MAX_RECONNECT_TRIES (YY_COPY(location_type) l)
static symbol_type | make_MAXSIZE (YY_COPY(location_type) l)
static symbol_type | make_MAXVER (YY_COPY(location_type) l)
static symbol_type | make_MEMFILE (YY_COPY(location_type) l)
static symbol_type | make_MYSQL (YY_COPY(location_type) l)
static symbol_type | make_NAME (YY_COPY(location_type) l)
static symbol_type | make_NCR_FORMAT (YY_COPY(location_type) l)
static symbol_type | make_NCR_PROTOCOL (YY_COPY(location_type) l)
static symbol_type | make_NEVER (YY_COPY(location_type) l)
static symbol_type | make_NEXT_SERVER (YY_COPY(location_type) l)
static symbol_type | make_NULL_TYPE (YY_COPY(location_type) l)
static symbol_type | make_ONLY_IF_REQUIRED (YY_COPY(location_type) l)
static symbol_type | make_OPTION_DATA (YY_COPY(location_type) l)
static symbol_type | make_OPTION_DEF (YY_COPY(location_type) l)
static symbol_type | make_OUT_OF_POOL (YY_COPY(location_type) l)
static symbol_type | make_OUTBOUND_INTERFACE (YY_COPY(location_type) l)
static symbol_type | make_OUTPUT (YY_COPY(location_type) l)
static symbol_type | make_OUTPUT_OPTIONS (YY_COPY(location_type) l)
static symbol_type | make_OVERRIDE_CLIENT_UPDATE (YY_COPY(location_type) l)
static symbol_type | make_OVERRIDE_NO_UPDATE (YY_COPY(location_type) l)
static symbol_type | make_PARAMETERS (YY_COPY(location_type) l)
static symbol_type | make_PASSWORD (YY_COPY(location_type) l)
static symbol_type | make_PERSIST (YY_COPY(location_type) l)
static symbol_type | make_POOL (YY_COPY(location_type) l)
static symbol_type | make_POOLS (YY_COPY(location_type) l)
static symbol_type | make_PORT (YY_COPY(location_type) l)
static symbol_type | make_POSTGRESQL (YY_COPY(location_type) l)
static symbol_type | make_QUALIFYING_SUFFIX (YY_COPY(location_type) l)
static symbol_type | make_RAW (YY_COPY(location_type) l)
static symbol_type | make_RCURLY_BRACKET (YY_COPY(location_type) l)
static symbol_type | make_RE_DETECT (YY_COPY(location_type) l)
static symbol_type | make_READONLY (YY_COPY(location_type) l)
static symbol_type | make_REBIND_TIMER (YY_COPY(location_type) l)
static symbol_type | make_RECLAIM_TIMER_WAIT_TIME (YY_COPY(location_type) l)
static symbol_type | make_RECONNECT_WAIT_TIME (YY_COPY(location_type) l)
static symbol_type | make_RECORD_TYPES (YY_COPY(location_type) l)
static symbol_type | make_RELAY (YY_COPY(location_type) l)
static symbol_type | make_RENEW_TIMER (YY_COPY(location_type) l)
static symbol_type | make_REPLACE_CLIENT_NAME (YY_COPY(location_type) l)
static symbol_type | make_REQUEST_TIMEOUT (YY_COPY(location_type) l)
static symbol_type | make_REQUIRE_CLIENT_CLASSES (YY_COPY(location_type) l)
static symbol_type | make_RESERVATION_MODE (YY_COPY(location_type) l)
static symbol_type | make_RESERVATIONS (YY_COPY(location_type) l)
static symbol_type | make_RSQUARE_BRACKET (YY_COPY(location_type) l)
static symbol_type | make_SAME_AS_INBOUND (YY_COPY(location_type) l)
static symbol_type | make_SANITY_CHECKS (YY_COPY(location_type) l)
static symbol_type | make_SENDER_IP (YY_COPY(location_type) l)
static symbol_type | make_SENDER_PORT (YY_COPY(location_type) l)
static symbol_type | make_SERVER_HOSTNAME (YY_COPY(location_type) l)
static symbol_type | make_SERVER_IP (YY_COPY(location_type) l)
static symbol_type | make_SERVER_PORT (YY_COPY(location_type) l)
static symbol_type | make_SERVER_TAG (YY_COPY(location_type) l)
static symbol_type | make_SEVERITY (YY_COPY(location_type) l)
static symbol_type | make_SHARED_NETWORKS (YY_COPY(location_type) l)
static symbol_type | make_SOCKET_NAME (YY_COPY(location_type) l)
static symbol_type | make_SOCKET_TYPE (YY_COPY(location_type) l)
static symbol_type | make_SPACE (YY_COPY(location_type) l)
static symbol_type | make_STRING (YY_COPY(std::string) v, YY_COPY(location_type) l)
static symbol_type | make_SUB_CONFIG_CONTROL (YY_COPY(location_type) l)
static symbol_type | make_SUB_DHCP4 (YY_COPY(location_type) l)
static symbol_type | make_SUB_DHCP_DDNS (YY_COPY(location_type) l)
static symbol_type | make_SUB_HOOKS_LIBRARY (YY_COPY(location_type) l)
static symbol_type | make_SUB_INTERFACES4 (YY_COPY(location_type) l)
static symbol_type | make_SUB_LOGGING (YY_COPY(location_type) l)
static symbol_type | make_SUB_OPTION_DATA (YY_COPY(location_type) l)
static symbol_type | make_SUB_OPTION_DEF (YY_COPY(location_type) l)
static symbol_type | make_SUB_OPTION_DEFS (YY_COPY(location_type) l)
static symbol_type | make_SUB_POOL4 (YY_COPY(location_type) l)
static symbol_type | make_SUB_RESERVATION (YY_COPY(location_type) l)
static symbol_type | make_SUB_SUBNET4 (YY_COPY(location_type) l)
static symbol_type | make_SUBNET (YY_COPY(location_type) l)
static symbol_type | make_SUBNET4 (YY_COPY(location_type) l)
static symbol_type | make_SUBNET_4O6_INTERFACE (YY_COPY(location_type) l)
static symbol_type | make_SUBNET_4O6_INTERFACE_ID (YY_COPY(location_type) l)
static symbol_type | make_SUBNET_4O6_SUBNET (YY_COPY(location_type) l)
static symbol_type | make_TCP (YY_COPY(location_type) l)
static symbol_type | make_TCP_KEEPALIVE (YY_COPY(location_type) l)
static symbol_type | make_TCP_NODELAY (YY_COPY(location_type) l)
static symbol_type | make_TEST (YY_COPY(location_type) l)
static symbol_type | make_TOPLEVEL_DHCP4 (YY_COPY(location_type) l)
static symbol_type | make_TOPLEVEL_JSON (YY_COPY(location_type) l)
static symbol_type | make_TYPE (YY_COPY(location_type) l)
static symbol_type | make_UDP (YY_COPY(location_type) l)
static symbol_type | make_UNWARNED_RECLAIM_CYCLES (YY_COPY(location_type) l)
static symbol_type | make_USE_ROUTING (YY_COPY(location_type) l)
static symbol_type | make_USER (YY_COPY(location_type) l)
static symbol_type | make_USER_CONTEXT (YY_COPY(location_type) l)
static symbol_type | make_VALID_LIFETIME (YY_COPY(location_type) l)
static symbol_type | make_WHEN_NOT_PRESENT (YY_COPY(location_type) l)
static symbol_type | make_WHEN_PRESENT (YY_COPY(location_type) l)

## Detailed Description

A Bison parser.

Definition at line 495 of file dhcp4_parser.h.

## Member Typedef Documentation

## ◆ debug_level_type

typedef int isc::dhcp::Dhcp4Parser::debug_level_type

Type for debugging levels.

Definition at line 860 of file dhcp4_parser.h.

## ◆ location_type

typedef location isc::dhcp::Dhcp4Parser::location_type

Symbol locations.

Definition at line 531 of file dhcp4_parser.h.

## ◆ semantic_type

typedef variant<sizeof (union_type)> isc::dhcp::Dhcp4Parser::semantic_type

Symbol semantic values.

Definition at line 526 of file dhcp4_parser.h.

## ◆ symbol_number_type

typedef int isc::dhcp::Dhcp4Parser::symbol_number_type

Symbol type: an internal symbol number.

Definition at line 719 of file dhcp4_parser.h.

## ◆ symbol_type

typedef basic_symbol<by_type> isc::dhcp::Dhcp4Parser::symbol_type

"External" symbols: returned by the scanner.

Definition at line 839 of file dhcp4_parser.h.

## ◆ token_number_type

typedef unsigned char isc::dhcp::Dhcp4Parser::token_number_type

Internal symbol number for tokens (subsumed by symbol_number_type).

Definition at line 725 of file dhcp4_parser.h.

## ◆ token_type

typedef token::yytokentype isc::dhcp::Dhcp4Parser::token_type

(External) token type, as returned by yylex.

Definition at line 716 of file dhcp4_parser.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

The symbol type number to denote an empty symbol.

Enumerator
empty_symbol |

Definition at line 722 of file dhcp4_parser.h.

## Constructor & Destructor Documentation

## ◆ Dhcp4Parser()

isc::dhcp::Dhcp4Parser::Dhcp4Parser | ( | isc::dhcp::Parser4Context & | ctx_yyarg | ) |

Build a parser object.

Definition at line 186 of file dhcp4_parser.cc.

## ◆ ~Dhcp4Parser()

isc::dhcp::Dhcp4Parser::~Dhcp4Parser | ( |  | ) |
| virtual

Definition at line 195 of file dhcp4_parser.cc.

## Member Function Documentation

## ◆ debug_level()

Dhcp4Parser::debug_level_type isc::dhcp::Dhcp4Parser::debug_level | ( |  | ) | const

The current debugging level.

Definition at line 528 of file dhcp4_parser.cc.

## ◆ debug_stream()

std::ostream & isc::dhcp::Dhcp4Parser::debug_stream | ( |  | ) | const

The current debugging stream.

Definition at line 515 of file dhcp4_parser.cc.

## ◆ error() [1/2]

void isc::dhcp::Dhcp4Parser::error | ( | const location_type & | loc,
|  | const std::string & | msg
| ) |  |
| virtual

Report a syntax error.

Parameters

  loc | where the syntax error is found.
  msg | a description of the syntax error.

Definition at line 4951 of file dhcp4_parser.cc.

References isc::dhcp::Parser4Context::error().

Referenced by error(), and parse().

Here is the call graph for this function:

## ◆ error() [2/2]

void isc::dhcp::Dhcp4Parser::error | ( | const syntax_error & | err | ) |

Report a syntax error.

Definition at line 3825 of file dhcp4_parser.cc.

References error(), and isc::dhcp::Dhcp4Parser::syntax_error::location.

Here is the call graph for this function:

## ◆ make_ALL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_ALL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2707 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ALL, and YY_MOVE.

## ◆ make_ALWAYS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_ALWAYS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3057 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ALWAYS, and YY_MOVE.

## ◆ make_ALWAYS_SEND()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_ALWAYS_SEND | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2595 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ALWAYS_SEND, and YY_MOVE.

## ◆ make_ARRAY()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_ARRAY | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2616 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ARRAY, and YY_MOVE.

## ◆ make_AUTHORITATIVE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_AUTHORITATIVE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2294 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_AUTHORITATIVE, and YY_MOVE.

## ◆ make_BOOLEAN()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_BOOLEAN | ( | YY_COPY(bool) | v,
|  | YY_COPY(location_type) | l
| ) |  |
| inlinestatic

Definition at line 3288 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_BOOLEAN, and YY_MOVE.

## ◆ make_BOOT_FILE_NAME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_BOOT_FILE_NAME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2315 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_BOOT_FILE_NAME, and YY_MOVE.

## ◆ make_CIRCUIT_ID()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CIRCUIT_ID | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2777 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CIRCUIT_ID, and YY_MOVE.

## ◆ make_CLIENT_CLASS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CLIENT_CLASS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2749 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CLIENT_CLASS, and YY_MOVE.

## ◆ make_CLIENT_CLASSES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CLIENT_CLASSES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2721 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CLIENT_CLASSES, and YY_MOVE.

## ◆ make_CLIENT_ID()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CLIENT_ID | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2784 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CLIENT_ID, and YY_MOVE.

## ◆ make_CODE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CODE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2574 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CODE, and YY_MOVE.

## ◆ make_COLON()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_COLON | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2140 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_COLON, and YY_MOVE.

## ◆ make_COMMA()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_COMMA | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2133 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_COMMA, and YY_MOVE.

## ◆ make_COMMENT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_COMMENT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2651 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_COMMENT, and YY_MOVE.

## ◆ make_CONFIG_CONTROL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CONFIG_CONTROL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2189 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONFIG_CONTROL, and YY_MOVE.

## ◆ make_CONFIG_DATABASES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CONFIG_DATABASES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2196 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONFIG_DATABASES, and YY_MOVE.

## ◆ make_CONNECT_TIMEOUT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CONNECT_TIMEOUT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2427 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONNECT_TIMEOUT, and YY_MOVE.

## ◆ make_CONTACT_POINTS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CONTACT_POINTS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2434 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONTACT_POINTS, and YY_MOVE.

## ◆ make_CONTROL_AGENT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CONTROL_AGENT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3162 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONTROL_AGENT, and YY_MOVE.

## ◆ make_CONTROL_SOCKET()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CONTROL_SOCKET | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2903 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONTROL_SOCKET, and YY_MOVE.

## ◆ make_CQL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CQL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2371 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CQL, and YY_MOVE.

## ◆ make_CSV_FORMAT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_CSV_FORMAT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2588 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CSV_FORMAT, and YY_MOVE.

## ◆ make_DATA()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DATA | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2567 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DATA, and YY_MOVE.

## ◆ make_DEBUGLEVEL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DEBUGLEVEL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3113 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DEBUGLEVEL, and YY_MOVE.

## ◆ make_DECLINE_PROBATION_PERIOD()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DECLINE_PROBATION_PERIOD | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2504 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DECLINE_PROBATION_PERIOD, and YY_MOVE.

## ◆ make_DHCP4()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DHCP4 | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2182 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP4, and YY_MOVE.

## ◆ make_DHCP4O6_PORT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DHCP4O6_PORT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2896 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP4O6_PORT, and YY_MOVE.

## ◆ make_DHCP6()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DHCP6 | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3148 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP6, and YY_MOVE.

## ◆ make_DHCP_DDNS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DHCP_DDNS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2931 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP_DDNS, and YY_MOVE.

## ◆ make_DHCP_QUEUE_CONTROL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DHCP_QUEUE_CONTROL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2924 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP_QUEUE_CONTROL, and YY_MOVE.

## ◆ make_DHCP_SOCKET_TYPE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DHCP_SOCKET_TYPE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2217 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP_SOCKET_TYPE, and YY_MOVE.

## ◆ make_DHCPDDNS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DHCPDDNS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3155 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCPDDNS, and YY_MOVE.

## ◆ make_DISABLED()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DISABLED | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2686 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DISABLED, and YY_MOVE.

## ◆ make_DUID()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_DUID | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2763 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DUID, and YY_MOVE.

## ◆ make_ECHO_CLIENT_ID()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_ECHO_CLIENT_ID | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2280 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ECHO_CLIENT_ID, and YY_MOVE.

## ◆ make_ENABLE_UPDATES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_ENABLE_UPDATES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2938 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ENABLE_UPDATES, and YY_MOVE.

## ◆ make_ENCAPSULATE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_ENCAPSULATE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2609 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ENCAPSULATE, and YY_MOVE.

## ◆ make_END()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_END | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2126 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_END, and YY_MOVE.

## ◆ make_EXPIRED_LEASES_PROCESSING()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_EXPIRED_LEASES_PROCESSING | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2847 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_EXPIRED_LEASES_PROCESSING, and YY_MOVE.

## ◆ make_FLEX_ID()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_FLEX_ID | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2798 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_FLEX_ID, and YY_MOVE.

## ◆ make_FLOAT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_FLOAT | ( | YY_COPY(double) | v,
|  | YY_COPY(location_type) | l
| ) |  |
| inlinestatic

Definition at line 3281 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_FLOAT, and YY_MOVE.

## ◆ make_FLUSH()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_FLUSH | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3127 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_FLUSH, and YY_MOVE.

## ◆ make_FLUSH_RECLAIMED_TIMER_WAIT_TIME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_FLUSH_RECLAIMED_TIMER_WAIT_TIME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2861 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_FLUSH_RECLAIMED_TIMER_WAIT_TIME, and YY_MOVE.

## ◆ make_GENERATED_PREFIX()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_GENERATED_PREFIX | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3022 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_GENERATED_PREFIX, and YY_MOVE.

## ◆ make_GLOBAL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_GLOBAL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2700 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_GLOBAL, and YY_MOVE.

## ◆ make_HOLD_RECLAIMED_TIME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_HOLD_RECLAIMED_TIME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2868 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOLD_RECLAIMED_TIME, and YY_MOVE.

## ◆ make_HOOKS_LIBRARIES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_HOOKS_LIBRARIES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2826 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOOKS_LIBRARIES, and YY_MOVE.

## ◆ make_HOST()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_HOST | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2392 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOST, and YY_MOVE.

## ◆ make_HOST_RESERVATION_IDENTIFIERS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_HOST_RESERVATION_IDENTIFIERS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2714 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOST_RESERVATION_IDENTIFIERS, and YY_MOVE.

## ◆ make_HOSTNAME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_HOSTNAME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2791 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOSTNAME, and YY_MOVE.

## ◆ make_HOSTNAME_CHAR_REPLACEMENT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_HOSTNAME_CHAR_REPLACEMENT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3078 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOSTNAME_CHAR_REPLACEMENT, and YY_MOVE.

## ◆ make_HOSTNAME_CHAR_SET()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_HOSTNAME_CHAR_SET | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3071 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOSTNAME_CHAR_SET, and YY_MOVE.

## ◆ make_HOSTS_DATABASE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_HOSTS_DATABASE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2329 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOSTS_DATABASE, and YY_MOVE.

## ◆ make_HOSTS_DATABASES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_HOSTS_DATABASES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2336 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOSTS_DATABASES, and YY_MOVE.

## ◆ make_HW_ADDRESS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_HW_ADDRESS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2770 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HW_ADDRESS, and YY_MOVE.

## ◆ make_ID()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_ID | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2672 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ID, and YY_MOVE.

## ◆ make_INTEGER()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_INTEGER | ( | YY_COPY(int64_t) | v,
|  | YY_COPY(location_type) | l
| ) |  |
| inlinestatic

Definition at line 3274 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_INTEGER, and YY_MOVE.

## ◆ make_INTERFACE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_INTERFACE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2665 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_INTERFACE, and YY_MOVE.

## ◆ make_INTERFACES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_INTERFACES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2210 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_INTERFACES, and YY_MOVE.

## ◆ make_INTERFACES_CONFIG()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_INTERFACES_CONFIG | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2203 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_INTERFACES_CONFIG, and YY_MOVE.

## ◆ make_IP_ADDRESS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_IP_ADDRESS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2812 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_IP_ADDRESS, and YY_MOVE.

## ◆ make_IP_ADDRESSES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_IP_ADDRESSES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2819 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_IP_ADDRESSES, and YY_MOVE.

## ◆ make_JSON()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_JSON | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3036 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_JSON, and YY_MOVE.

## ◆ make_KEYSPACE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_KEYSPACE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2441 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_KEYSPACE, and YY_MOVE.

## ◆ make_LCURLY_BRACKET()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_LCURLY_BRACKET | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2161 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LCURLY_BRACKET, and YY_MOVE.

## ◆ make_LEASE_CHECKS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_LEASE_CHECKS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2273 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LEASE_CHECKS, and YY_MOVE.

## ◆ make_LEASE_DATABASE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_LEASE_DATABASE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2322 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LEASE_DATABASE, and YY_MOVE.

## ◆ make_LFC_INTERVAL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_LFC_INTERVAL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2413 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LFC_INTERVAL, and YY_MOVE.

## ◆ make_LIBRARY()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_LIBRARY | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2833 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LIBRARY, and YY_MOVE.

## ◆ make_LOGGERS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_LOGGERS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3092 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LOGGERS, and YY_MOVE.

## ◆ make_LOGGING()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_LOGGING | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3085 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LOGGING, and YY_MOVE.

## ◆ make_LSQUARE_BRACKET()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_LSQUARE_BRACKET | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2147 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LSQUARE_BRACKET, and YY_MOVE.

## ◆ make_MATCH_CLIENT_ID()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_MATCH_CLIENT_ID | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2287 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MATCH_CLIENT_ID, and YY_MOVE.

## ◆ make_MAX_QUEUE_SIZE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_MAX_QUEUE_SIZE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2980 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAX_QUEUE_SIZE, and YY_MOVE.

## ◆ make_MAX_RECLAIM_LEASES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_MAX_RECLAIM_LEASES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2875 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAX_RECLAIM_LEASES, and YY_MOVE.

## ◆ make_MAX_RECLAIM_TIME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_MAX_RECLAIM_TIME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2882 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAX_RECLAIM_TIME, and YY_MOVE.

## ◆ make_MAX_RECONNECT_TRIES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_MAX_RECONNECT_TRIES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2448 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAX_RECONNECT_TRIES, and YY_MOVE.

## ◆ make_MAXSIZE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_MAXSIZE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3134 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAXSIZE, and YY_MOVE.

## ◆ make_MAXVER()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_MAXVER | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3141 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAXVER, and YY_MOVE.

## ◆ make_MEMFILE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_MEMFILE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2350 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MEMFILE, and YY_MOVE.

## ◆ make_MYSQL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_MYSQL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2357 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MYSQL, and YY_MOVE.

## ◆ make_NAME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_NAME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2560 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NAME, and YY_MOVE.

## ◆ make_NCR_FORMAT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_NCR_FORMAT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2994 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NCR_FORMAT, and YY_MOVE.

## ◆ make_NCR_PROTOCOL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_NCR_PROTOCOL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2987 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NCR_PROTOCOL, and YY_MOVE.

## ◆ make_NEVER()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_NEVER | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3050 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NEVER, and YY_MOVE.

## ◆ make_NEXT_SERVER()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_NEXT_SERVER | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2301 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NEXT_SERVER, and YY_MOVE.

## ◆ make_NULL_TYPE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_NULL_TYPE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2175 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NULL_TYPE, and YY_MOVE.

## ◆ make_ONLY_IF_REQUIRED()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_ONLY_IF_REQUIRED | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2742 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ONLY_IF_REQUIRED, and YY_MOVE.

## ◆ make_OPTION_DATA()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_OPTION_DATA | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2553 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OPTION_DATA, and YY_MOVE.

## ◆ make_OPTION_DEF()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_OPTION_DEF | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2546 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OPTION_DEF, and YY_MOVE.

## ◆ make_OUT_OF_POOL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_OUT_OF_POOL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2693 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OUT_OF_POOL, and YY_MOVE.

## ◆ make_OUTBOUND_INTERFACE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_OUTBOUND_INTERFACE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2238 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OUTBOUND_INTERFACE, and YY_MOVE.

## ◆ make_OUTPUT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_OUTPUT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3106 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OUTPUT, and YY_MOVE.

## ◆ make_OUTPUT_OPTIONS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_OUTPUT_OPTIONS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3099 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OUTPUT_OPTIONS, and YY_MOVE.

## ◆ make_OVERRIDE_CLIENT_UPDATE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_OVERRIDE_CLIENT_UPDATE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3008 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OVERRIDE_CLIENT_UPDATE, and YY_MOVE.

## ◆ make_OVERRIDE_NO_UPDATE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_OVERRIDE_NO_UPDATE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3001 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OVERRIDE_NO_UPDATE, and YY_MOVE.

## ◆ make_PARAMETERS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_PARAMETERS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2840 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PARAMETERS, and YY_MOVE.

## ◆ make_PASSWORD()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_PASSWORD | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2385 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PASSWORD, and YY_MOVE.

## ◆ make_PERSIST()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_PERSIST | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2406 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PERSIST, and YY_MOVE.

## ◆ make_POOL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_POOL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2637 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_POOL, and YY_MOVE.

## ◆ make_POOLS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_POOLS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2630 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_POOLS, and YY_MOVE.

## ◆ make_PORT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_PORT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2399 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PORT, and YY_MOVE.

## ◆ make_POSTGRESQL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_POSTGRESQL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2364 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_POSTGRESQL, and YY_MOVE.

## ◆ make_QUALIFYING_SUFFIX()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_QUALIFYING_SUFFIX | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2945 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_QUALIFYING_SUFFIX, and YY_MOVE.

## ◆ make_RAW()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RAW | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2224 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RAW, and YY_MOVE.

## ◆ make_RCURLY_BRACKET()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RCURLY_BRACKET | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2168 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RCURLY_BRACKET, and YY_MOVE.

## ◆ make_RE_DETECT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RE_DETECT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2259 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RE_DETECT, and YY_MOVE.

## ◆ make_READONLY()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_READONLY | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2420 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_READONLY, and YY_MOVE.

## ◆ make_REBIND_TIMER()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_REBIND_TIMER | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2497 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_REBIND_TIMER, and YY_MOVE.

## ◆ make_RECLAIM_TIMER_WAIT_TIME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RECLAIM_TIMER_WAIT_TIME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2854 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RECLAIM_TIMER_WAIT_TIME, and YY_MOVE.

## ◆ make_RECONNECT_WAIT_TIME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RECONNECT_WAIT_TIME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2455 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RECONNECT_WAIT_TIME, and YY_MOVE.

## ◆ make_RECORD_TYPES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RECORD_TYPES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2602 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RECORD_TYPES, and YY_MOVE.

## ◆ make_RELAY()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RELAY | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2805 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RELAY, and YY_MOVE.

## ◆ make_RENEW_TIMER()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RENEW_TIMER | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2490 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RENEW_TIMER, and YY_MOVE.

## ◆ make_REPLACE_CLIENT_NAME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_REPLACE_CLIENT_NAME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3015 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_REPLACE_CLIENT_NAME, and YY_MOVE.

## ◆ make_REQUEST_TIMEOUT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_REQUEST_TIMEOUT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2462 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_REQUEST_TIMEOUT, and YY_MOVE.

## ◆ make_REQUIRE_CLIENT_CLASSES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_REQUIRE_CLIENT_CLASSES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2728 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_REQUIRE_CLIENT_CLASSES, and YY_MOVE.

## ◆ make_RESERVATION_MODE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RESERVATION_MODE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2679 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RESERVATION_MODE, and YY_MOVE.

## ◆ make_RESERVATIONS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RESERVATIONS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2756 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RESERVATIONS, and YY_MOVE.

## ◆ make_RSQUARE_BRACKET()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_RSQUARE_BRACKET | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2154 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RSQUARE_BRACKET, and YY_MOVE.

## ◆ make_SAME_AS_INBOUND()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SAME_AS_INBOUND | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2245 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SAME_AS_INBOUND, and YY_MOVE.

## ◆ make_SANITY_CHECKS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SANITY_CHECKS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2266 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SANITY_CHECKS, and YY_MOVE.

## ◆ make_SENDER_IP()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SENDER_IP | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2966 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SENDER_IP, and YY_MOVE.

## ◆ make_SENDER_PORT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SENDER_PORT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2973 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SENDER_PORT, and YY_MOVE.

## ◆ make_SERVER_HOSTNAME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SERVER_HOSTNAME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2308 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVER_HOSTNAME, and YY_MOVE.

## ◆ make_SERVER_IP()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SERVER_IP | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2952 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVER_IP, and YY_MOVE.

## ◆ make_SERVER_PORT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SERVER_PORT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2959 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVER_PORT, and YY_MOVE.

## ◆ make_SERVER_TAG()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SERVER_TAG | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2511 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVER_TAG, and YY_MOVE.

## ◆ make_SEVERITY()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SEVERITY | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3120 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SEVERITY, and YY_MOVE.

## ◆ make_SHARED_NETWORKS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SHARED_NETWORKS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2623 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SHARED_NETWORKS, and YY_MOVE.

## ◆ make_SOCKET_NAME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SOCKET_NAME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2917 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SOCKET_NAME, and YY_MOVE.

## ◆ make_SOCKET_TYPE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SOCKET_TYPE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2910 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SOCKET_TYPE, and YY_MOVE.

## ◆ make_SPACE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SPACE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2581 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SPACE, and YY_MOVE.

## ◆ make_STRING()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_STRING | ( | YY_COPY(std::string) | v,
|  | YY_COPY(location_type) | l
| ) |  |
| inlinestatic

Definition at line 3267 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_STRING, and YY_MOVE.

## ◆ make_SUB_CONFIG_CONTROL()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_CONFIG_CONTROL | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3260 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_CONFIG_CONTROL, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_DHCP4()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_DHCP4 | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3183 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_DHCP4, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_DHCP_DDNS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_DHCP_DDNS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3246 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_DHCP_DDNS, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_HOOKS_LIBRARY()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_HOOKS_LIBRARY | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3239 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_HOOKS_LIBRARY, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_INTERFACES4()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_INTERFACES4 | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3190 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_INTERFACES4, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_LOGGING()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_LOGGING | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3253 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_LOGGING, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_OPTION_DATA()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_OPTION_DATA | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3232 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_OPTION_DATA, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_OPTION_DEF()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_OPTION_DEF | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3225 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_OPTION_DEF, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_OPTION_DEFS()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_OPTION_DEFS | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3218 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_OPTION_DEFS, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_POOL4()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_POOL4 | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3204 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_POOL4, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_RESERVATION()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_RESERVATION | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3211 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_RESERVATION, and YY_MOVE.

Referenced by if().

## ◆ make_SUB_SUBNET4()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUB_SUBNET4 | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3197 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_SUBNET4, and YY_MOVE.

Referenced by if().

## ◆ make_SUBNET()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUBNET | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2658 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUBNET, and YY_MOVE.

## ◆ make_SUBNET4()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUBNET4 | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2518 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUBNET4, and YY_MOVE.

## ◆ make_SUBNET_4O6_INTERFACE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUBNET_4O6_INTERFACE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2525 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUBNET_4O6_INTERFACE, and YY_MOVE.

## ◆ make_SUBNET_4O6_INTERFACE_ID()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUBNET_4O6_INTERFACE_ID | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2532 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUBNET_4O6_INTERFACE_ID, and YY_MOVE.

## ◆ make_SUBNET_4O6_SUBNET()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_SUBNET_4O6_SUBNET | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2539 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUBNET_4O6_SUBNET, and YY_MOVE.

## ◆ make_TCP()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_TCP | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3029 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TCP, and YY_MOVE.

## ◆ make_TCP_KEEPALIVE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_TCP_KEEPALIVE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2469 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TCP_KEEPALIVE, and YY_MOVE.

## ◆ make_TCP_NODELAY()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_TCP_NODELAY | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2476 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TCP_NODELAY, and YY_MOVE.

## ◆ make_TEST()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_TEST | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2735 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TEST, and YY_MOVE.

## ◆ make_TOPLEVEL_DHCP4()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_TOPLEVEL_DHCP4 | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3176 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TOPLEVEL_DHCP4, and YY_MOVE.

Referenced by if().

## ◆ make_TOPLEVEL_JSON()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_TOPLEVEL_JSON | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3169 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TOPLEVEL_JSON, and YY_MOVE.

Referenced by if().

## ◆ make_TYPE()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_TYPE | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2343 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TYPE, and YY_MOVE.

## ◆ make_UDP()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_UDP | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2231 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_UDP, and YY_MOVE.

## ◆ make_UNWARNED_RECLAIM_CYCLES()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_UNWARNED_RECLAIM_CYCLES | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2889 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_UNWARNED_RECLAIM_CYCLES, and YY_MOVE.

## ◆ make_USE_ROUTING()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_USE_ROUTING | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2252 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_USE_ROUTING, and YY_MOVE.

## ◆ make_USER()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_USER | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2378 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_USER, and YY_MOVE.

## ◆ make_USER_CONTEXT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_USER_CONTEXT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2644 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_USER_CONTEXT, and YY_MOVE.

## ◆ make_VALID_LIFETIME()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_VALID_LIFETIME | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 2483 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_VALID_LIFETIME, and YY_MOVE.

## ◆ make_WHEN_NOT_PRESENT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_WHEN_NOT_PRESENT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3064 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_WHEN_NOT_PRESENT, and YY_MOVE.

## ◆ make_WHEN_PRESENT()

Dhcp4Parser::symbol_type isc::dhcp::Dhcp4Parser::make_WHEN_PRESENT | ( | YY_COPY(location_type) | l | ) |
| inlinestatic

Definition at line 3043 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_WHEN_PRESENT, and YY_MOVE.

## ◆ operator()()

int isc::dhcp::Dhcp4Parser::operator() | ( |  | ) |

Parse.

An alias for parse ().

Returns
  0 iff parsing succeeded.

Definition at line 563 of file dhcp4_parser.cc.

References parse().

Here is the call graph for this function:

## ◆ parse()

int isc::dhcp::Dhcp4Parser::parse | ( |  | ) |
| virtual

Parse.

Returns
  0 iff parsing succeeded.

Length of the RHS of the rule being reduced.

The lookahead symbol.

The locations where the error started and ended.

The return value of parse ().

Todo:
  : the code or name parameters are required.

Todo:
  : the code or name parameters are required.

Todo:
  : an identifier parameter is required.

Todo:
  : an identifier parameter is required.

Definition at line 569 of file dhcp4_parser.cc.

References isc::dhcp::stack< T, S >::clear(), isc::dhcp::Dhcp4Parser::basic_symbol< Base >::clear(), isc::dhcp::Parser4Context::CLIENT_CLASSES, isc::dhcp::Parser4Context::CONFIG, isc::dhcp::Parser4Context::CONFIG_CONTROL, isc::dhcp::Parser4Context::CONFIG_DATABASE, isc::dhcp::Parser4Context::contextName(), isc::dhcp::Parser4Context::CONTROL_SOCKET, isc::dhcp::Parser4Context::ctx_, isc::dhcp::Parser4Context::DATABASE_TYPE, isc::dhcp::Parser4Context::DHCP4, isc::dhcp::Parser4Context::DHCP_DDNS, isc::dhcp::Parser4Context::DHCP_SOCKET_TYPE, isc::dhcp::Dhcp4Parser::basic_symbol< Base >::empty(), isc::dhcp::Parser4Context::enter(), error(), isc::dhcp::Parser4Context::EXPIRED_LEASES_PROCESSING, isc::dhcp::Parser4Context::HOOKS_LIBRARIES, isc::dhcp::Parser4Context::HOST_RESERVATION_IDENTIFIERS, isc::dhcp::Parser4Context::HOSTS_DATABASE, isc::dhcp::Parser4Context::INTERFACES_CONFIG, isc::dhcp::Parser4Context::LEASE_DATABASE, isc::dhcp::Parser4Context::leave(), isc::dhcp::Parser4Context::loc2pos(), isc::dhcp::Dhcp4Parser::basic_symbol< Base >::location, isc::dhcp::Parser4Context::LOGGERS, isc::dhcp::Parser4Context::LOGGING, isc::data::merge(), isc::dhcp::Dhcp4Parser::basic_symbol< Base >::move(), isc::dhcp::Parser4Context::NCR_FORMAT, isc::dhcp::Parser4Context::NCR_PROTOCOL, isc::dhcp::Parser4Context::NO_KEYWORD, isc::dhcp::Parser4Context::OPTION_DATA, isc::dhcp::Parser4Context::OPTION_DEF, isc::dhcp::Parser4Context::OUTBOUND_INTERFACE, isc::dhcp::Parser4Context::OUTPUT_OPTIONS, isc::dhcp::Parser4Context::POOLS, isc::dhcp::Parser4Context::RELAY, isc::dhcp::Parser4Context::REPLACE_CLIENT_NAME, isc::dhcp::Parser4Context::require(), isc::dhcp::Parser4Context::RESERVATION_MODE, isc::dhcp::Parser4Context::RESERVATIONS, isc::dhcp::Parser4Context::SANITY_CHECKS, isc::dhcp::Parser4Context::SHARED_NETWORK, isc::dhcp::stack< T, S >::size(), isc::dhcp::Parser4Context::stack_, isc::dhcp::Parser4Context::SUBNET4, YY_MOVE, YY_REDUCE_PRINT, YY_STACK_PRINT, YY_SYMBOL_PRINT, YYABORT, YYCDEBUG, YYERROR, yylex, and YYLLOC_DEFAULT.

Referenced by operator()().

Here is the call graph for this function:

## ◆ set_debug_level()

void isc::dhcp::Dhcp4Parser::set_debug_level | ( | debug_level_type | l | ) |

Set the current debugging level.

Definition at line 534 of file dhcp4_parser.cc.

## ◆ set_debug_stream()

void isc::dhcp::Dhcp4Parser::set_debug_stream | ( | std::ostream & | o | ) |

Set the current debugging stream.

Definition at line 521 of file dhcp4_parser.cc.

The documentation for this class was generated from the following files:

- dhcp4_parser.h
- dhcp4_parser.cc